diff --git a/game/client/src/main/java/net/minecraft/client/render/worldtype/WorldTypeFXNether.java b/game/client/src/main/java/net/minecraft/client/render/worldtype/WorldTypeFXNether.java
index daa9e0208..f96c1404e 100644
--- a/game/client/src/main/java/net/minecraft/client/render/worldtype/WorldTypeFXNether.java
+++ b/game/client/src/main/java/net/minecraft/client/render/worldtype/WorldTypeFXNether.java
@@ -3,36 +3,30 @@ package net.minecraft.client.render.worldtype;
 import net.minecraft.client.render.colorizer.Colorizers;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.util.helper.MathHelper;
-import net.minecraft.core.util.phys.Vec3;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.biome.Biome;
 import net.minecraft.core.world.biome.Biomes;
 import net.minecraft.core.world.biome.provider.BiomeProviderNether;
+import net.minecraft.core.world.pos.TilePos;
 import net.minecraft.core.world.type.WorldType;
+import org.jetbrains.annotations.NotNull;
+import org.joml.Vector3f;
+import org.joml.Vector3fc;
 
-public class WorldTypeFXNether extends WorldTypeFX{
+public class WorldTypeFXNether extends WorldTypeFX {
     public WorldTypeFXNether(WorldType worldType) {
         super(worldType);
     }
 
     @Override
-    public float[] getSunriseColor(float timeOfDay, float partialTick) {
-        return new float[4];
-    }
-
-    @Override
-    public Vec3 getFogColor(World world, double x, double y, double z, float celestialAngle, float partialTick) {
+    public @NotNull Vector3fc getFogColor(@NotNull World world, double x, double y, double z, float celestialAngle, float partialTick) {
         if (Colorizers.fog.isEnabled()) {
-            int x1 = MathHelper.floor(x);
-            int y1 = MathHelper.floor(y);
-            int z1 = MathHelper.floor(z);
-
-            int color = Colorizers.fog.getColor(world, x1, y1, z1);
+            int color = Colorizers.fog.getColor(world, new TilePos(x, y, z));
 
             float r = ((color >> 16) & 0xFF) / 255.0f;
             float g = ((color >> 8) & 0xFF) / 255.0f;
             float b = (color & 0xFF) / 255.0f;
-            return Vec3.fromPool(r, g, b);
+            return new Vector3f(r, g, b);
         }
 
         float r = 60 / 255.0f;
@@ -53,25 +47,22 @@ public class WorldTypeFXNether extends WorldTypeFX{
             b = MathHelper.lerp(0, b, (float) toLerp);
         }
 
-        return Vec3.fromPool(r, g, b);
+        return new Vector3f(r, g, b);
     }
 
     @Override
-    public void playerAnimationTick(World world, Player player) {
+    public void playerAnimationTick(@NotNull World world, @NotNull Player player) {
         final int radius = 12;
 
-        double x = player.x;
-        double y = player.y;
-        double z = player.z;
-
-        Biome localBiome = world.getBlockBiome((int) x, (int) y, (int) z);
+        TilePos tilePos = new TilePos(player);
+        Biome localBiome = world.getBlockBiome(tilePos);
         if (localBiome == Biomes.NETHER_ASH_PLAINS || localBiome == Biomes.NETHER_BONEYARD) {
             for (int i = 0; i < 5; i++) {
-                double rx = (x - radius) + (world.rand.nextDouble() * radius * 2);
-                double ry = (y - radius) + (world.rand.nextDouble() * radius * 2);
-                double rz = (z - radius) + (world.rand.nextDouble() * radius * 2);
+                double rx = (player.x - radius) + (world.rand.nextDouble() * radius * 2);
+                double ry = (player.y - radius) + (world.rand.nextDouble() * radius * 2);
+                double rz = (player.z - radius) + (world.rand.nextDouble() * radius * 2);
 
-                if (world.getBlockId((int) rx, (int) ry, (int) rz) == 0) {
+                if (world.getBlockId(new TilePos(rx, ry, rz)) == 0) {
                     world.spawnParticle("ashmote", rx, ry, rz, 0, 0, 0, 0);
                 }
             }
diff --git a/game/client/src/main/java/net/minecraft/client/render/worldtype/WorldTypeFXOverworld.java b/game/client/src/main/java/net/minecraft/client/render/worldtype/WorldTypeFXOverworld.java
index b4e34c648..fff8f251a 100644
--- a/game/client/src/main/java/net/minecraft/client/render/worldtype/WorldTypeFXOverworld.java
+++ b/game/client/src/main/java/net/minecraft/client/render/worldtype/WorldTypeFXOverworld.java
@@ -2,17 +2,21 @@ package net.minecraft.client.render.worldtype;
 
 import net.minecraft.client.render.colorizer.Colorizers;
 import net.minecraft.core.util.helper.MathHelper;
-import net.minecraft.core.util.phys.Vec3;
 import net.minecraft.core.world.World;
+import net.minecraft.core.world.pos.TilePos;
 import net.minecraft.core.world.type.WorldType;
+import org.jetbrains.annotations.NotNull;
+import org.jetbrains.annotations.Nullable;
+import org.joml.Vector3f;
+import org.joml.Vector3fc;
 
-public class WorldTypeFXOverworld extends WorldTypeFX{
-    public WorldTypeFXOverworld(WorldType worldType) {
+public class WorldTypeFXOverworld extends WorldTypeFX {
+    public WorldTypeFXOverworld(@NotNull WorldType worldType) {
         super(worldType);
     }
 
     @Override
-    public float[] getSunriseColor(float timeOfDay, float partialTick) {
+    public float @Nullable [] getSunriseColor(float timeOfDay, float partialTick) {
         float[] sunriseCol = new float[4];
         float sunriseMinimum = 0.4F;
 
@@ -34,17 +38,13 @@ public class WorldTypeFXOverworld extends WorldTypeFX{
     }
 
     @Override
-    public Vec3 getFogColor(World world, double x, double y, double z, float celestialAngle, float partialTick) {
+    public @NotNull Vector3fc getFogColor(@NotNull World world, double x, double y, double z, float celestialAngle, float partialTick) {
         float dayProgress = MathHelper.cos(celestialAngle * MathHelper.PI * 2.0F) * 2.0F + 0.5F;
         dayProgress = MathHelper.clamp(dayProgress, 0.0f, 1.0f);
         float r, g, b;
 
         if (Colorizers.fog.isEnabled()) {
-            int x1 = MathHelper.floor(x);
-            int y1 = MathHelper.floor(y);
-            int z1 = MathHelper.floor(z);
-
-            int color = Colorizers.fog.getColor(world, x1, y1, z1);
+            int color = Colorizers.fog.getColor(world, new TilePos(x, y, z));
 
             r = ((color >> 16) & 0xFF) / 255.0f;
             g = ((color >> 8) & 0xFF) / 255.0f;
@@ -57,6 +57,6 @@ public class WorldTypeFXOverworld extends WorldTypeFX{
         r *= dayProgress * 0.94f + 0.06f;
         g *= dayProgress * 0.94f + 0.06f;
         b *= dayProgress * 0.91f + 0.09f;
-        return Vec3.fromPool(r, g, b);
+        return new Vector3f(r, g, b);
     }
 }
diff --git a/game/client/src/main/java/net/minecraft/client/world/WorldClient.java b/game/client/src/main/java/net/minecraft/client/world/WorldClient.java
index 05b920551..d87ce142e 100644
--- a/game/client/src/main/java/net/minecraft/client/world/WorldClient.java
+++ b/game/client/src/main/java/net/minecraft/client/world/WorldClient.java
@@ -8,10 +8,10 @@ import net.minecraft.client.render.worldtype.WorldTypeFXDispatcher;
 import net.minecraft.client.world.chunk.provider.ChunkProviderViewer;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.util.helper.MathHelper;
-import net.minecraft.core.util.phys.Vec3;
 import net.minecraft.core.world.AuroraProvider;
 import net.minecraft.core.world.Dimension;
 import net.minecraft.core.world.World;
+import net.minecraft.core.world.pos.TilePos;
 import net.minecraft.core.world.save.LevelData;
 import net.minecraft.core.world.save.LevelStorage;
 import net.minecraft.core.world.season.SeasonManager;
@@ -21,6 +21,9 @@ import net.minecraft.core.world.type.WorldTypes;
 import net.minecraft.core.world.weather.IPrecipitation;
 import net.minecraft.core.world.weather.WeatherManager;
 import net.minecraft.core.world.weather.Weathers;
+import org.jetbrains.annotations.NotNull;
+import org.joml.Vector3f;
+import org.joml.Vector3fc;
 
 public class WorldClient extends World {
     public static final WorldClient EMPTY_WORLD = new WorldClient();
@@ -40,17 +43,17 @@ public class WorldClient extends World {
     public WorldClient() {
         this.dimension = Dimension.OVERWORLD;
         this.saveHandler = null;
-        levelData = new LevelData(0, "modelviewer");
+        this.levelData = new LevelData(0, "modelviewer");
         this.worldType = WorldTypes.DEBUG;
-        chunkProvider = new ChunkProviderViewer(this);
-        seasonManager = SeasonManager.fromConfig(this, this.worldType.getSeasonConfig());
+        this.chunkProvider = new ChunkProviderViewer(this);
+        this.seasonManager = SeasonManager.fromConfig(this, this.worldType.getSeasonConfig());
         updateSkyBrightness();
 
         this.weatherManager = new WeatherManager(this);
 
-        auroraProvider = new AuroraProvider(this, 0);
+        this.auroraProvider = new AuroraProvider(this, 0);
 
-        biomeProvider = this.worldType.createBiomeProvider(this);
+        this.biomeProvider = this.worldType.createBiomeProvider(this);
     }
 
     @Override
@@ -59,25 +62,21 @@ public class WorldClient extends World {
         getLevelData().setLastPlayerUUID(player.uuid);
     }
 
-    public Vec3 getDimensionColor(ICamera camera, float partialTick)
-    {
+    public @NotNull Vector3fc getDimensionColor(@NotNull ICamera camera, float partialTick) {
         float f1 = getCelestialAngle(partialTick);
         float f2 = MathHelper.cos(f1 * MathHelper.PI * 2.0F) * 2.0F + 0.5F;
-        if(f2 < 0.0F)
-        {
+        if (f2 < 0.0F) {
             f2 = 0.0F;
         }
-        if(f2 > 1.0F)
-        {
+        if (f2 > 1.0F) {
             f2 = 1.0F;
         }
         int color = 0xffffff;
-        float r = (float)(color >> 16 & 255) / 255F;
-        float g = (float)(color >> 8 & 255) / 255F;
-        float b = (float)(color & 255) / 255F;
-        float f6 = getCurrentWeather() != null && getCurrentWeather() instanceof IPrecipitation ? weatherManager.getWeatherIntensity() * weatherManager.getWeatherPower() : 0.0f;
-        if(f6 > 0.0F)
-        {
+        float r = (float) (color >> 16 & 255) / 255F;
+        float g = (float) (color >> 8 & 255) / 255F;
+        float b = (float) (color & 255) / 255F;
+        float f6 = getCurrentWeather() != null && getCurrentWeather() instanceof IPrecipitation ? this.weatherManager.getWeatherIntensity() * this.weatherManager.getWeatherPower() : 0.0f;
+        if (f6 > 0.0F) {
             float f7 = (r * 0.3F + g * 0.59F + b * 0.11F) * 0.6F;
             float f9 = 1.0F - f6 * 0.95F;
             r = r * f9 + f7 * (1.0F - f9);
@@ -87,54 +86,46 @@ public class WorldClient extends World {
         r *= f2 * 0.9F + 0.1F;
         g *= f2 * 0.9F + 0.1F;
         b *= f2 * 0.85F + 0.15F;
-        return Vec3.fromPool(r, g, b);
+        return new Vector3f(r, g, b);
     }
 
-    public Vec3 getFogColor(ICamera camera, float partialTick)
-    {
+    public @NotNull Vector3fc getFogColor(@NotNull ICamera camera, float partialTick) {
         double x = camera.getX(partialTick);
         double y = camera.getY(partialTick);
         double z = camera.getZ(partialTick);
         float celestialAngle = getCelestialAngle(partialTick);
-        return WorldTypeFXDispatcher.getInstance().getDispatch(worldType).getFogColor(this, x, y, z, celestialAngle, partialTick);
+        return WorldTypeFXDispatcher.getInstance().getDispatch(this.worldType).getFogColor(this, x, y, z, celestialAngle, partialTick);
     }
 
-    public Vec3 getSkyColor(ICamera camera, float partialTick)
-    {
+    public @NotNull Vector3fc getSkyColor(@NotNull ICamera camera, float partialTick) {
         float f1 = getCelestialAngle(partialTick);
         float f2 = MathHelper.cos(f1 * MathHelper.PI * 2.0F) * 2.0F + 0.5F;
-        if(f2 < 0.0F)
-        {
+        if (f2 < 0.0F) {
             f2 = 0.0F;
         }
-        if(f2 > 1.0F)
-        {
+        if (f2 > 1.0F) {
             f2 = 1.0F;
         }
-        int x = MathHelper.floor(camera.getX(partialTick));
-        int y = MathHelper.floor(camera.getY(partialTick));
-        int z = MathHelper.floor(camera.getZ(partialTick));
-        float blockTemperature = (float) getBlockTemperature(x, z);
+        TilePos blockPos = camera.getTilePos(partialTick);
+        float blockTemperature = (float) getBlockTemperature(blockPos);
 
-        if (seasonManager.getCurrentSeason() != null && (seasonManager.getCurrentSeason() == Seasons.OVERWORLD_WINTER || seasonManager.getCurrentSeason() == Seasons.OVERWORLD_FALL))
-        {
+        if (this.seasonManager.getCurrentSeason() != null && (this.seasonManager.getCurrentSeason() == Seasons.OVERWORLD_WINTER || this.seasonManager.getCurrentSeason() == Seasons.OVERWORLD_FALL)) {
             blockTemperature = blockTemperature - (1.25f);
         }
         int skyColor;
-        if(Colorizers.sky.isEnabled()) {
-            skyColor = Colorizers.sky.getColor(this, x, y, z);
-        }else {
-            skyColor = getBiomeProvider().getBiome(x, y, z).getSkyColor(blockTemperature);
+        if (Colorizers.sky.isEnabled()) {
+            skyColor = Colorizers.sky.getColor(this, blockPos);
+        } else {
+            skyColor = getBiomeProvider().getBiome(blockPos.x, blockPos.y, blockPos.z).getSkyColor(blockTemperature);
         }
-        float r = (float)(skyColor >> 16 & 0xff) / 255F;
-        float g = (float)(skyColor >> 8 & 0xff) / 255F;
-        float b = (float)(skyColor & 0xff) / 255F;
+        float r = (float) (skyColor >> 16 & 0xff) / 255F;
+        float g = (float) (skyColor >> 8 & 0xff) / 255F;
+        float b = (float) (skyColor & 0xff) / 255F;
         r *= f2;
         g *= f2;
         b *= f2;
-        float f7 = getCurrentWeather() != null && getCurrentWeather() instanceof IPrecipitation ? weatherManager.getWeatherIntensity() * weatherManager.getWeatherPower() : 0.0f;
-        if(f7 > 0.0F)
-        {
+        float f7 = getCurrentWeather() != null && getCurrentWeather() instanceof IPrecipitation ? this.weatherManager.getWeatherIntensity() * this.weatherManager.getWeatherPower() : 0.0f;
+        if (f7 > 0.0F) {
             float f8 = (r * 0.3F + g * 0.59F + b * 0.11F) * 0.6F;
             float f10 = 1.0F - f7 * 0.75F;
             r = r * f10 + f8 * (1.0F - f10);
@@ -142,20 +133,17 @@ public class WorldClient extends World {
             b = b * f10 + f8 * (1.0F - f10);
         }
 
-        float fogIntensity = getCurrentWeather() != null && getCurrentWeather() == Weathers.OVERWORLD_FOG ? weatherManager.getWeatherIntensity() * weatherManager.getWeatherPower() : 0.0f;
-        if(fogIntensity > 0.0F)
-        {
+        float fogIntensity = getCurrentWeather() != null && getCurrentWeather() == Weathers.OVERWORLD_FOG ? this.weatherManager.getWeatherIntensity() * this.weatherManager.getWeatherPower() : 0.0f;
+        if (fogIntensity > 0.0F) {
             float f8 = (r * 0.5F + g * 0.5F + b * 0.5F) * 0.6F;
             float f10 = 1.0F - fogIntensity * 0.75F;
             r = r * f10 + f8 * (1.0F - f10);
             g = g * f10 + f8 * (1.0F - f10);
             b = b * f10 + f8 * (1.0F - f10);
         }
-        if(lightningFlicker > 0)
-        {
-            float f12 = (float)lightningFlicker - partialTick;
-            if(f12 > 1.0F)
-            {
+        if (this.lightningFlicker > 0) {
+            float f12 = (float) this.lightningFlicker - partialTick;
+            if (f12 > 1.0F) {
                 f12 = 1.0F;
             }
             f12 *= 0.45F;
@@ -163,7 +151,7 @@ public class WorldClient extends World {
             g = g * (1.0F - f12) + 0.8F * f12;
             b = b * (1.0F - f12) + f12;
         }
-        return Vec3.fromPool(r, g, b);
+        return new Vector3f(r, g, b);
     }
 
     @Override
diff --git a/game/client/src/main/java/net/minecraft/client/world/WorldClientMP.java b/game/client/src/main/java/net/minecraft/client/world/WorldClientMP.java
index 275f284d6..357f31b68 100644
--- a/game/client/src/main/java/net/minecraft/client/world/WorldClientMP.java
+++ b/game/client/src/main/java/net/minecraft/client/world/WorldClientMP.java
@@ -13,7 +13,7 @@ import net.minecraft.core.world.chunk.ChunkCoordinates;
 import net.minecraft.core.world.chunk.provider.IChunkProvider;
 import net.minecraft.client.world.save.SaveHandlerClientMP;
 import net.minecraft.core.world.pos.ChunkPos;
-import net.minecraft.core.world.pos.TilePos;
+import net.minecraft.core.world.pos.TilePosc;
 import org.jetbrains.annotations.NotNull;
 
 import java.util.HashSet;
@@ -28,187 +28,157 @@ public class WorldClientMP extends WorldClient {
     private final Set<Entity> forced;
     private final Set<Entity> reEntries;
 
-    public WorldClientMP(PacketHandlerClient packetHandlerClient, long seed, int dimensionId, int worldTypeId)
-    {
+    public WorldClientMP(PacketHandlerClient packetHandlerClient, long seed, int dimensionId, int worldTypeId) {
         super(new SaveHandlerClientMP(), "MpServer", Dimension.getDimensionList().get(dimensionId), Registries.WORLD_TYPES.getItemByNumericId(worldTypeId), seed);
-        positionTypesList = new LinkedList<>();
-        entitiesById = new Int2ObjectOpenHashMap<>();
-        forced = new HashSet<>();
-        reEntries = new HashSet<>();
-        sendQueue = packetHandlerClient;
+        this.positionTypesList = new LinkedList<>();
+        this.entitiesById = new Int2ObjectOpenHashMap<>();
+        this.forced = new HashSet<>();
+        this.reEntries = new HashSet<>();
+        this.sendQueue = packetHandlerClient;
         setSpawnPoint(new ChunkCoordinates(8, 64, 8));
-        savedDataStorage = packetHandlerClient.savedDataStorage;
+        this.savedDataStorage = packetHandlerClient.savedDataStorage;
     }
 
     @Override
-	public void tick()
-    {
+    public void tick() {
         if (getGameRuleValue(GameRules.DO_DAY_CYCLE)) {
-            levelData.setWorldTime(levelData.getWorldTime() + 1L);
+            this.levelData.setWorldTime(this.levelData.getWorldTime() + 1L);
         }
-        for(int k = 0; k < 10 && !reEntries.isEmpty(); k++)
-        {
-            Entity entity = reEntries.iterator().next();
-            if(!entities.contains(entity))
-            {
+        for (int k = 0; k < 10 && !this.reEntries.isEmpty(); k++) {
+            Entity entity = this.reEntries.iterator().next();
+            if (!this.entities.contains(entity)) {
                 entityJoinedWorld(entity);
             }
         }
 
         processPackets();
-        for(int l = 0; l < positionTypesList.size(); l++)
-        {
-            WorldBlockPositionType worldblockpositiontype = positionTypesList.get(l);
-            if(--worldblockpositiontype.delayTicks == 0)
-            {
+        for (int l = 0; l < this.positionTypesList.size(); l++) {
+            WorldBlockPositionType worldblockpositiontype = this.positionTypesList.get(l);
+            if (--worldblockpositiontype.delayTicks == 0) {
                 super.setBlockAndMetadata(worldblockpositiontype.x, worldblockpositiontype.y, worldblockpositiontype.z, worldblockpositiontype.blockId, worldblockpositiontype.metadata);
                 super.markBlockNeedsUpdate(worldblockpositiontype.x, worldblockpositiontype.y, worldblockpositiontype.z);
-                positionTypesList.remove(l--);
+                this.positionTypesList.remove(l--);
             }
         }
-		updateSeasonAndLight();
-        if(rainbowTicks > 0)
-        {
-            rainbowTicks--;
+        updateSeasonAndLight();
+        if (this.rainbowTicks > 0) {
+            this.rainbowTicks--;
         }
     }
 
     public void processPackets() {
-        sendQueue.tick();
+        this.sendQueue.tick();
     }
 
-    public void removePositionTypesInBounds(int minX, int minY, int minZ, int maxX, int maxY, int maxZ)
-    {
-        for(int i = 0; i < positionTypesList.size(); i++)
-        {
-            WorldBlockPositionType worldblockpositiontype = positionTypesList.get(i);
-            if(worldblockpositiontype.x >= minX && worldblockpositiontype.y >= minY && worldblockpositiontype.z >= minZ && worldblockpositiontype.x <= maxX && worldblockpositiontype.y <= maxY && worldblockpositiontype.z <= maxZ)
-            {
-                positionTypesList.remove(i--);
+    public void removePositionTypesInBounds(int minX, int minY, int minZ, int maxX, int maxY, int maxZ) {
+        for (int i = 0; i < this.positionTypesList.size(); i++) {
+            WorldBlockPositionType worldblockpositiontype = this.positionTypesList.get(i);
+            if (worldblockpositiontype.x >= minX && worldblockpositiontype.y >= minY && worldblockpositiontype.z >= minZ && worldblockpositiontype.x <= maxX && worldblockpositiontype.y <= maxY && worldblockpositiontype.z <= maxZ) {
+                this.positionTypesList.remove(i--);
             }
         }
 
     }
 
     @Override
-	protected IChunkProvider createChunkProvider()
-    {
-        chunkCache = new ChunkProviderClient(this);
-        return chunkCache;
+    protected IChunkProvider createChunkProvider() {
+        this.chunkCache = new ChunkProviderClient(this);
+        return this.chunkCache;
     }
 
     @Override
-	public void getRespawnLocation()
-    {
+    public void getRespawnLocation() {
         setSpawnPoint(new ChunkCoordinates(8, 64, 8));
     }
 
     @Override
-	protected void updateBlocksAndPlayCaveSounds()
-    {
+    protected void updateBlocksAndPlayCaveSounds() {
     }
 
     @Override
-    public void scheduleBlockUpdate(final @NotNull TilePos tilePos, final int id, final long delay, final boolean loaded) {
+    public void scheduleBlockUpdate(final @NotNull TilePosc tilePos, final int id, final long delay) {
         // Do nothing
     }
 
     @Override
-	public boolean tickPendingTicks(boolean all)
-    {
+    public boolean tickPendingTicks(boolean all) {
         return false;
     }
 
-    public void doPreChunk(int chunkX, int chunkZ, boolean playerAdded)
-    {
-        if(playerAdded)
-        {
-            chunkCache.prepareChunk(chunkX, chunkZ);
-        } else
-        {
-            chunkCache.dropChunk(new ChunkPos(chunkX, chunkZ));
+    public void doPreChunk(int chunkX, int chunkZ, boolean playerAdded) {
+        if (playerAdded) {
+            this.chunkCache.prepareChunk(chunkX, chunkZ);
+        } else {
+            this.chunkCache.dropChunk(new ChunkPos(chunkX, chunkZ));
         }
-        if(!playerAdded)
-        {
+        if (!playerAdded) {
             markBlocksDirty(chunkX * 16, 0, chunkZ * 16, chunkX * 16 + 15, getHeightBlocks(), chunkZ * 16 + 15);
         }
     }
 
     @Override
-	public boolean entityJoinedWorld(Entity entity)
-    {
+    public boolean entityJoinedWorld(Entity entity) {
         boolean flag = super.entityJoinedWorld(entity);
-        forced.add(entity);
-        if(!flag)
-        {
-            reEntries.add(entity);
+        this.forced.add(entity);
+        if (!flag) {
+            this.reEntries.add(entity);
         }
         return flag;
     }
 
     @Override
-	public void setEntityDead(Entity entity)
-    {
+    public void setEntityDead(Entity entity) {
         super.setEntityDead(entity);
-        forced.remove(entity);
-        reEntries.remove(entity);
+        this.forced.remove(entity);
+        this.reEntries.remove(entity);
     }
 
     @Override
-	protected void obtainEntitySkin(Entity entity)
-    {
+    protected void obtainEntitySkin(Entity entity) {
         super.obtainEntitySkin(entity);
-        reEntries.remove(entity);
+        this.reEntries.remove(entity);
     }
 
     @Override
-	protected void releaseEntitySkin(Entity entity)
-    {
+    protected void releaseEntitySkin(Entity entity) {
         super.releaseEntitySkin(entity);
-        if(forced.contains(entity))
-        {
-            reEntries.add(entity);
+        if (this.forced.contains(entity)) {
+            this.reEntries.add(entity);
         }
     }
 
-    public void addEntityToWorld(int i, Entity entity)
-    {
+    public void addEntityToWorld(int i, Entity entity) {
         Entity entity1 = getEntityFromId(i);
-        if(entity1 != null)
-        {
+        if (entity1 != null) {
             setEntityDead(entity1);
         }
-        forced.add(entity);
+        this.forced.add(entity);
         entity.id = i;
-        if(!entityJoinedWorld(entity))
-        {
-            reEntries.add(entity);
+        if (!entityJoinedWorld(entity)) {
+            this.reEntries.add(entity);
         }
-        entitiesById.put(i, entity);
+        this.entitiesById.put(i, entity);
     }
 
-    public Entity getEntityFromId(int i)
-    {
-        return entitiesById.get(i);
+    public Entity getEntityFromId(int i) {
+        return this.entitiesById.get(i);
     }
 
-    public Entity removeEntityFromWorld(int i)
-    {
-        Entity entity = entitiesById.remove(i);
-        if(entity != null)
-        {
-            forced.remove(entity);
+    public Entity removeEntityFromWorld(int i) {
+        Entity entity = this.entitiesById.remove(i);
+        if (entity != null) {
+            this.forced.remove(entity);
             setEntityDead(entity);
         }
         return entity;
     }
 
     @Override
-    public boolean setBlockData(final @NotNull TilePos tilePos, final int data) {
+    public boolean setBlockData(final @NotNull TilePosc tilePos, final int data) {
         final int id = this.getBlockId(tilePos);
         final int currentData = this.getBlockData(tilePos);
         if (super.setBlockData(tilePos, data)) {
-            this.positionTypesList.add(new WorldBlockPositionType(tilePos.x, tilePos.y, tilePos.z, id, currentData));
+            this.positionTypesList.add(new WorldBlockPositionType(tilePos.x(), tilePos.y(), tilePos.z(), id, currentData));
             return true;
         } else {
             return false;
@@ -216,11 +186,11 @@ public class WorldClientMP extends WorldClient {
     }
 
     @Override
-    public boolean setBlockIdData(final @NotNull TilePos tilePos, final int id, final int data) {
+    public boolean setBlockIdData(final @NotNull TilePosc tilePos, final int id, final int data) {
         final int currentId = this.getBlockId(tilePos);
         final int currentData = this.getBlockData(tilePos);
         if (super.setBlockIdData(tilePos, id, data)) {
-            this.positionTypesList.add(new WorldBlockPositionType(tilePos.x, tilePos.y, tilePos.z, currentId, currentData));
+            this.positionTypesList.add(new WorldBlockPositionType(tilePos.x(), tilePos.y(), tilePos.z(), currentId, currentData));
             return true;
         } else {
             return false;
@@ -228,43 +198,38 @@ public class WorldClientMP extends WorldClient {
     }
 
     @Override
-    public boolean setBlockId(final @NotNull TilePos tilePos, final int id) {
+    public boolean setBlockId(final @NotNull TilePosc tilePos, final int id) {
         final int currentId = this.getBlockId(tilePos);
         final int data = this.getBlockData(tilePos);
         if (super.setBlockId(tilePos, id)) {
-            this.positionTypesList.add(new WorldBlockPositionType(tilePos.x, tilePos.y, tilePos.z, currentId, data));
+            this.positionTypesList.add(new WorldBlockPositionType(tilePos.x(), tilePos.y(), tilePos.z(), currentId, data));
             return true;
         } else {
             return false;
         }
     }
 
-    public boolean blockChange(int x, int y, int z, int id, int meta)
-    {
+    public boolean blockChange(int x, int y, int z, int id, int meta) {
         removePositionTypesInBounds(x, y, z, x, y, z);
-        if(super.setBlockAndMetadata(x, y, z, id, meta))
-        {
+        if (super.setBlockAndMetadata(x, y, z, id, meta)) {
             notifyBlockChange(x, y, z, id);
             return true;
-        } else
-        {
+        } else {
             return false;
         }
     }
 
     @Override
-	public void sendQuittingDisconnectingPacket()
-    {
-        sendQueue.sendFinalPacket(new PacketDisconnect("Quitting"));
+    public void sendQuittingDisconnectingPacket() {
+        this.sendQueue.sendFinalPacket(new PacketDisconnect("Quitting"));
     }
 
     @Override
-    public void sendGlobalMessage(String message){
+    public void sendGlobalMessage(String message) {
 
     }
 
-    static class WorldBlockPositionType
-    {
+    static class WorldBlockPositionType {
         int x;
         int y;
         int z;
